<!-- <mat-nav-list>
  <button mat-button routerLink="/user/overview" routerLinkActive="active">
    <mat-icon>dialpad</mat-icon>
    <div>Overview</div>
  </button>
  <button mat-button routerLink="/user/top-artists" routerLinkActive="active">Top Artists</button>
  <button mat-button routerLink="/user/top-tracks" routerLinkActive="active">Top Tracks</button>
</mat-nav-list> -->
<mat-sidenav-container>
  <mat-sidenav 
    class="app-sidenav"
    mode="side" 
    fixedInViewport=true
    opened>
    <div class="sidenav-content">
      <span class="app-title">DISCOVER MUSIC</span>
      <mat-nav-list class="nav-list">
        <button class="nav-button" mat-button routerLink="/user/overview" routerLinkActive="active">
          <mat-icon>assignment</mat-icon>          
          <div>Overview</div>
        </button>
        <button class="nav-button discover-button" mat-button routerLink="/user/discover" routerLinkActive="active">
          <mat-icon>highlight</mat-icon>
          <div>Discover</div>
        </button>
        <button class="nav-button" mat-button routerLink="/user/top-artists" routerLinkActive="active">
          <mat-icon>group</mat-icon>          
          <div>Top Artists</div>
        </button>
        <button class="nav-button" mat-button routerLink="/user/top-tracks" routerLinkActive="active">
          <mat-icon>library_music</mat-icon>          
          <div>Top Tracks</div>
        </button>
      </mat-nav-list>
      <mat-nav-list class="nav-list">
        <button mat-button routerLink="/about">
          <mat-icon>info</mat-icon>          
          <div>About</div>
        </button>
        <button mat-button routerLink="/" (click)="logout()">
          <mat-icon>exit_to_app</mat-icon>          
          <div>Logout</div>
        </button>
      </mat-nav-list>
    </div>
  </mat-sidenav>
  <mat-sidenav-content class="content">
    <router-outlet></router-outlet>
  </mat-sidenav-content>
</mat-sidenav-container>
